﻿body {
    background-color: #F0F2F5;
}

.web-forget {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.nav {
    padding: 10px 20px;
    text-align: right;
}

.login-btn {
    color: #1569DE;
    font-size: 14px;
    cursor: pointer;
}

    .login-btn:before {
        content: '';
        width: 17px;
        height: 17px;
        position: absolute;
        left: -29px;
        top: 0px;
        background: url(/framework/images/icons/loginIcon.png) no-repeat center;
        background-size: cover;
    }

.forget-wrap {
    box-sizing: border-box;
    height: 0;
    flex: 1;
    display: flex;
    flex-direction: column;
    margin: 0 20px 20px 20px;
    padding: 20px;
    background-color: #fff;
}

.forget-title {
    margin-bottom: 10px;
    font-size: 30px;
    line-height: 2;
    color: #3C3F4A;
}

.action-panel {
    box-sizing: border-box;
    height: 0;
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 50px;
    background-color: #EFF2F6;
}

    .action-panel .ivu-input-large {
        height: 40px;
    }

    .action-panel .ivu-btn-large {
        padding: 8px 15px;
    }

    .action-panel .ivu-form-item-label {
        font-size: 16px;
    }

.input-code {
    display: flex;
    width: 100%;
}

    .input-code input {
        text-transform: uppercase;
    }

.input-code img{
    height: 40px;
    margin-left: 15px;
    border: 1px solid #ddd;
}

.input-code-span {
    display: inline-block;
    padding-left: 10px;
    font-size: 14px;
    line-height: 40px;
    color: #b3beb5;
    cursor: pointer;
}

.submit img {
    width: 22px;
    height: 22px;
    vertical-align: middle;
    -webkit-animation: rotate 1s linear infinit;
    animation: rotate 1s linear infinite;
}

/*旋转动画*/
@keyframes rotate {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}